Subject: [Anima] Constrained-join-proxy: section 7.1 reference on how to discover a Registrar

From: Esko Dijk <[email-masked]>
Date: Wed, 1 Dec 2021 13:56:11 +0000

Hello,

Here’s an issue I found in constrained-join-proxy in Section 7.1 regarding discovery of a Registrar by the Join Proxy.
It says:

   The discovery of the coaps Registrar, using coap discovery, by the
   Join Proxy follows section 6 of [I-D.ietf-ace-coap-est].

The above seems to be the wrong reference. Because it is about discovering a Registrar (as opposed to just “EST server”), I would point to draft-constrained-voucher instead: section 6.3 and 6.5.1 of draft-ietf-anima-constrained-voucher.
This is very specific to Registrar discovery, also 6.5.1 considers the case of a Join Proxy discovering a Registrar, which is a very special case due to the below, so it is good to mention 6.5.1 here.

Suppose a stateful Join Proxy discovers the Registrar using query for rt=brski. And it finds out the Registrar BRSKI resources are hosted under resource /b on port 9999. Then the Proxy will relay all DTLS traffic of the Pledge to the Registrar on port 9999 – BUT: the Pledge has no idea that it should be using the resource /b/… for BRSKI!  Because it did not do this discovery for Registrar resources by itself.   So the only / best thing the Pledge can do is to use the well-known resources /.well-known/brski/….  which the Registrar then also MUST support on port 9999 and not only on port 5684.  And this is exactly what the last paragraph of 6.5.1 tries to clarify.

Regards
Esko

IoTconsultancy.nl  |  Email/Teams: [email-masked]<mailto:[email-masked]>    |   +31 6 2385 8339